Bug 112359 - RHEL 3.0 using v6.06.00b11 driver attached to McData switch doesn't log in or scan devices successfully.
RHEL 3.0 using v6.06.00b11 driver attached to McData switch doesn't log in or...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-18 07:53 EST by Heather Conway
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:08:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages file from successful host log in (23.13 KB, text/plain)
2003-12-18 07:54 EST, Heather Conway
no flags Details
/var/log/messages from unsuccessful host log in (53.94 KB, text/plain)
2003-12-18 07:54 EST, Heather Conway
no flags Details
Finisar trace from successful host log in (55.83 KB, text/plain)
2003-12-18 07:55 EST, Heather Conway
no flags Details
Finisar trace from unsuccessful host log in (v6.06.00b11 driver) (27.42 KB, text/plain)
2003-12-18 07:55 EST, Heather Conway
no flags Details
Finisar trace from unsuccessful host log in (v6.07.00b13 driver) (24.44 KB, text/plain)
2003-12-18 07:56 EST, Heather Conway
no flags Details

  None (edit)
Description Heather Conway 2003-12-18 07:53:21 EST
Description of problem:
 I'm running into problems with the v6.06.00b11 driver that is native 
to RHEL 3.0 when attached to a McData switch.  When the v6.06.00b11 
driver loads, it does not successfully scan the devices. 
The host environment (134) is as follows:  
RHEL 3.0
QLogic QLA2344
QLogic driver v6.06.00b11
BIOS v1.34
McData DS24M2 firmware v6.00.00.00.60
I have attached the host to both a Symm and CLARiiON arrays and the 
behavior is the same for both array types.
For a comparison, I also tried the v6.07.00b13 driver on this same 
host.  Initially, it logged in properly, but then after rebooting, it 
failed to log in.

I hooked another RHEL 3.0 host up with the following environment:
RHEL 3.0
QLogic 2xQLA2340s
QLogic driver v6.06.00b11
BIOS v1.34
McData DS24M2 firmware v6.00.00.00.60
I have attached the host to both a Symm and CLARiiON arrays and the 
behavior is the same for both array types.  
The host failed to log into the switch and scan the devices properly 
when using the v6.06.00b11 driver.  I tried the v6.07.00b13 driver 
and the driver/host successfully logged into the switch and scanned 
the devices.

I have also seen this unsuccessful login/scan with both the RHEL 2.1 
v6.04.01 driver and the EMC-approved v6.05.00 driver.

I will attach the /var/log/messages files and Finisar traces to this 
bugzilla entry once it's saved.  Would you please review the Finisar 
traces and the messages files and let me know what your analysis is? 

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.  Attach RHEL 3.0 host using QLogic HBA and driver v6.06.00b11 to 
McData switch.
2.  Reboot the host or load the Qlogic driver.
3.  Watch the driver load and report errors.
  
Actual results:
Driver fails to log into switch and scan devices successfully.


Expected results:
Driver should log into switch and scan devices successfully.


Additional info:
Comment 1 Heather Conway 2003-12-18 07:54:24 EST
Created attachment 96602 [details]
/var/log/messages file from successful host log in
Comment 2 Heather Conway 2003-12-18 07:54:59 EST
Created attachment 96603 [details]
/var/log/messages from unsuccessful host log in
Comment 3 Heather Conway 2003-12-18 07:55:17 EST
Created attachment 96604 [details]
Finisar trace from successful host log in
Comment 4 Heather Conway 2003-12-18 07:55:46 EST
Created attachment 96605 [details]
Finisar trace from unsuccessful host log in (v6.06.00b11 driver)
Comment 5 Heather Conway 2003-12-18 07:56:01 EST
Created attachment 96606 [details]
Finisar trace from unsuccessful host log in (v6.07.00b13 driver)
Comment 6 Tom Coughlan 2004-02-13 10:55:21 EST
We are planning to update the Qlofic driver in U2/U4.  We will need
you to test the beta version of this release to confirm the fix.
Comment 7 Ernie Petrides 2004-03-05 15:09:09 EST
This problem was fixed in RHEL3 U2 with the upgrade of the
Qlogic driver to version 6.07.10 in kernel version 2.4.21-9.14.EL.
Comment 8 Ernie Petrides 2004-03-05 17:10:08 EST
Oops, make that 6.07.01.
Comment 9 Ernie Petrides 2004-03-05 17:21:23 EST
Or 6.07.02, even.  (Sorry, it's late on Friday.)
Comment 10 John Flanagan 2004-05-11 21:08:03 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.